org.apache.log4j.chainsaw

## Interface LoggerNameModel

- All Known Subinterfaces:
    EventContainer
  All Known Implementing Classes:
    LoggerNameModelSupport

      public interface LoggerNameModel

  Implementations of this model contain all the known Logger names within it's model space.
  Author:
    Paul Smith psmith@apache.org

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addLoggerName(String loggerName)` Attempts to add the loggerName to the model, and returns true if it does, i.e that the loggerName is new, otherwise it is ignored.
    `void` | `addLoggerNameListener(LoggerNameListener l)`
    `Collection` | `getLoggerNames()` Returns an unmodifiable Collection of the uniquely known LoggerNames within this model.
    `void` | `removeLoggerNameListener(LoggerNameListener l)`
    `void` | `reset()` The logger names have been cleared

- - ### Method Detail

    - #### getLoggerNames

          Collection getLoggerNames()

      Returns an unmodifiable Collection of the uniquely known LoggerNames within this model.
      Returns:
        unmodifiable Collection of Logger name Strings

    - #### addLoggerName

          boolean addLoggerName(String loggerName)

      Attempts to add the loggerName to the model, and returns true if it does, i.e that the loggerName is new, otherwise it is ignored. If the loggerName is new for this model, all the LoggerNameListeners are notified using this thread.
      Parameters:
        `loggerName` -

    - #### reset

          void reset()

      The logger names have been cleared

    - #### addLoggerNameListener

          void addLoggerNameListener(LoggerNameListener l)

    - #### removeLoggerNameListener

          void removeLoggerNameListener(LoggerNameListener l)

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.